Bug 251494 - textproc/kibana7: couldn't start after update to 7.10.0
Summary: textproc/kibana7: couldn't start after update to 7.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mikael Urankar
URL: https://github.com/elastic/kibana/iss...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-11-30 21:04 UTC by Boris Korzun
Modified: 2020-12-06 15:40 UTC (History)
2 users (show)

See Also:
otis: maintainer-feedback+


Attachments
corrected kibana rc-script (623 bytes, patch)
2020-11-30 21:04 UTC, Boris Korzun
no flags Details | Diff
textproc/kibana7: Updated rc.d script to reflect the actual path needed (6.45 KB, patch)
2020-11-30 21:33 UTC, Juraj Lutter
otis: maintainer-approval+
Details | Diff
rebased patch (1016 bytes, patch)
2020-12-01 12:51 UTC, Boris Korzun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Korzun 2020-11-30 21:04:48 UTC
Created attachment 220117 [details]
corrected kibana rc-script

Kibana doesn't start after update to 7.10.0.

Throws an error after start: Error: Cannot find module '/usr/local/www/kibana7/src/cli'

It's need to correct rc-script for properly run.
Comment 1 Juraj Lutter freebsd_committer 2020-11-30 21:25:15 UTC
Approving on behalf of elastic@

Thanks for the report.
Comment 2 Juraj Lutter freebsd_committer 2020-11-30 21:33:54 UTC
Created attachment 220118 [details]
textproc/kibana7: Updated rc.d script to reflect the actual path needed
Comment 3 Mikael Urankar freebsd_committer 2020-12-01 12:32:00 UTC
(In reply to Juraj Lutter from comment #2)
can you rebase after ports r556579 ?
Comment 4 Boris Korzun 2020-12-01 12:51:49 UTC
Created attachment 220137 [details]
rebased patch

I've rebased the patch (fixed PORTREVISION).
Comment 5 commit-hook freebsd_committer 2020-12-06 15:40:04 UTC
A commit references this bug:

Author: mikael
Date: Sun Dec  6 15:39:58 UTC 2020
New revision: 557141
URL: https://svnweb.freebsd.org/changeset/ports/557141

Log:
  textproc/kibana7: Fix rc script

  PR:		251494
  Submitted by:	Boris Korzun
  Approved by:	Juraj Lutter (maintainer)

Changes:
  head/textproc/kibana7/Makefile
  head/textproc/kibana7/files/kibana.in
Comment 6 Mikael Urankar freebsd_committer 2020-12-06 15:40:26 UTC
Thanks!